
public class Class557 {

   public static Class557 aClass557_7470 = new Class557(0);
   public static Class557 aClass557_7471 = new Class557(1);
   public static Class557 aClass557_7472 = new Class557(2);


   Class557(int var1) {}

   static final void method11886(Class508 var0, byte var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class298.method5374(var3, var4, var0, 740829477);
   }

   static final void method11887(Class508 var0, byte var1) {
      Class160.method2819(1660537182);
      Class2.aBool45 = false;
   }

   static final void method11888(Class508 var0, int var1) {
      if(Class336.aClass35_Sub1_4206.method913(1017208849) != Class32.aClass32_374) {
         if(var1 == -1229767902) {
            ;
         }

         throw new RuntimeException();
      } else {
         Class461_Sub1 var2 = (Class461_Sub1)Class336.aClass35_Sub1_4206.method952(-1420614119);
         var2.method12761(Class362.aClass309_4507, -1, 1940388732);
      }
   }

   static final void method11889(Class508 var0, byte var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class118_Sub2.anInt8211 * -501553667;
   }

   public static void method11890(int var0, int var1, int var2, String var3, int var4) {
      Class124 var5 = Class223.method3836(var1, var2, (byte)1);
      if(null != var5) {
         if(var5.anObjectArray1534 != null) {
            Class225_Sub28 var6 = new Class225_Sub28();
            var6.aClass124_8636 = var5;
            var6.anInt8642 = var0 * 476612133;
            var6.aString8643 = var3;
            var6.anObjectArray8635 = var5.anObjectArray1534;
            Class69.method1475(var6, (byte)1);
         }

         if(client.method12284(var5).method14236(var0 - 1, (byte)5)) {
            PacketContext var8 = Class35_Sub1.method13169(883808512);
            if(15 == 1881519639 * client.anInt7734 || 2 == 1881519639 * client.anInt7734) {
               if(var5.aString1509 == null) {
                  Class232.method4021(var8, var5, var0, var1, var2, 515761511);
               } else {
                  Class225_Sub15 var7 = Class543.method11415(OutgoingOpcode.aClass302_3844, var8.aClass433_2184, (byte)1);
                  var7.buffer.writeByte(7 + Class190.method3320(var5.aString1509, 1871132672), -765864773);
                  var7.buffer.writeByte(var0, -765864773);
                  var7.buffer.writeLEShort(var2, (byte)1);
                  var7.buffer.writeInt1(var1, 167628961);
                  var7.buffer.writeString(var5.aString1509, (byte)96);
                  var8.method3191(var7, (byte)45);
               }

            }
         }
      }
   }
}
